Subject: Re: bug#60694: Issue building derivations in 1.4.0

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 12 Jan 2023 22:35:35 -0500

Hi,

Tom Parker-Shemilt <[email-masked]> writes:

[...]

> ==> virtualbox-iso: ./guix/store.scm:1419:15: In procedure loop:
> ==> virtualbox-iso: ERROR:
> ==> virtualbox-iso:   1. &store-protocol-error:
> ==> virtualbox-iso:       message: "some substitutes for the outputs
> of derivation `/gnu/store/p23y74y51gj4vml3mjlg9swx0gg4k22s-ruby-2.7.7.drv'
> failed (usually happens due to networking issues); try `--fallback' to
> build derivation from source "
> ==> virtualbox-iso:       status: 1
> ==> virtualbox-iso: guix pull: error: You found a bug: the program
> '/gnu/store/lzinbzm0hxvnz11c4cin1ml9ybhrg7r5-compute-guix-derivation'
> ==> virtualbox-iso: failed to compute the derivation for Guix
> (version: "8e2f32cee982d42a79e53fc1e9aa7b8ff0514714"; system:
> "x86_64-linux";
> ==> virtualbox-iso: host version: "1.4.0"; pull-version: 1).
> ==> virtualbox-iso: Please report the COMPLETE output above by email
> to <[email-masked]>.

How much memory (RAM) do you have available on the machine?

Guix pull consumes close to 2 GiB peak, if I recall correctly.

-- 
Thanks,
Maxim